+++
title = "Get the source"
weight = 20
+++

## Get the sources

Besides the sources of [BornAgain](https://jugit.fz-juelich.de/mlz/bornagain) you need
those of our support libraries [libheinz](https://jugit.fz-juelich.de/mlz/libheinz)
and [libformfactor](https://jugit.fz-juelich.de/mlz/libformfactor).

If in doubt, install the tarballs of the latest published release.

If you are ready to live on the edge, you may also clone our Git repository
and work on the current "main" branch.

#### Source tarballs

The `tar` command allows downloading and unpacking in one go:
```bash
$ wget -qO- https://jugit.fz-juelich.de/mlz/libheinz/-/archive/v0.1.3/libheinz-v0.1.3.tar.gz | tar zx
$ wget -qO- https://jugit.fz-juelich.de/mlz/libformfactor/-/archive/v0.1.3/libformfactor-v0.1.3.tar.gz | tar zx
$ wget -qO- {{< ref-tarball >}} | tar zx
```

#### Github

You can also get access to the source code by cloning our public Git repository:
```bash
$ git clone https://jugit.fz-juelich.de/mlz/libheinz.git
$ git clone https://jugit.fz-juelich.de/mlz/libformfactor.git
$ git clone https://jugit.fz-juelich.de/mlz/bornagain.git
```
